libetonyek::IWORKMemoryStream Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKMemoryStream Class Reference

`#include <IWORKMemoryStream.h>`

Inheritance diagram for libetonyek::IWORKMemoryStream:

## Public Member Functions
| IWORKMemoryStream (const RVNGInputStreamPtr_t &input)
| IWORKMemoryStream (const RVNGInputStreamPtr_t &input, unsigned length)
| IWORKMemoryStream (const std::vector< unsigned char > &data)
| IWORKMemoryStream (const unsigned char *data, unsigned length)
| ~IWORKMemoryStream () override
bool | isStructured () override
unsigned | subStreamCount () override
const char * | subStreamName (unsigned id) override
bool | existsSubStream (const char *) override
librevenge::RVNGInputStream * | getSubStreamByName (const char *name) override
librevenge::RVNGInputStream * | getSubStreamById (unsigned id) override
const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead) override
int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType) override
long | tell () override
bool | isEnd () override

## Private Member Functions
| IWORKMemoryStream (const IWORKMemoryStream &other)
IWORKMemoryStream & | operator= (const IWORKMemoryStream &other)
void | assign (const unsigned char *data, unsigned length)
void | read (const RVNGInputStreamPtr_t &input, unsigned length)

## Private Attributes
std::unique_ptr< unsigned char[]> | m_data
long | m_length
long | m_pos

## Constructor & Destructor Documentation

## ◆ IWORKMemoryStream() [1/5]

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const IWORKMemoryStream & | other | ) |
| private

## ◆ IWORKMemoryStream() [2/5]

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const RVNGInputStreamPtr_t & | input | ) |
| explicit

## ◆ IWORKMemoryStream() [3/5]

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const RVNGInputStreamPtr_t & | input,
|  | unsigned | length
| ) |  |

## ◆ IWORKMemoryStream() [4/5]

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const std::vector< unsigned char > & | data | ) |
| explicit

## ◆ IWORKMemoryStream() [5/5]

libetonyek::IWORKMemoryStream::IWORKMemoryStream | ( | const unsigned char * | data,
|  | unsigned | length
| ) |  |

## ◆ ~IWORKMemoryStream()

libetonyek::IWORKMemoryStream::~IWORKMemoryStream | ( |  | ) |
| override

## Member Function Documentation

## ◆ assign()

void libetonyek::IWORKMemoryStream::assign | ( | const unsigned char * | data,
|  | unsigned | length
| ) |  |
| private

Referenced by IWORKMemoryStream(), and read().

## ◆ existsSubStream()

bool libetonyek::IWORKMemoryStream::existsSubStream | ( | const char * |  | ) |
| inlineoverride

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libetonyek::IWORKMemoryStream::getSubStreamById | ( | unsigned | id | ) |
| override

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libetonyek::IWORKMemoryStream::getSubStreamByName | ( | const char * | name | ) |
| override

## ◆ isEnd()

bool libetonyek::IWORKMemoryStream::isEnd | ( |  | ) |
| override

## ◆ isStructured()

bool libetonyek::IWORKMemoryStream::isStructured | ( |  | ) |
| override

## ◆ operator=()

IWORKMemoryStream & libetonyek::IWORKMemoryStream::operator= | ( | const IWORKMemoryStream & | other | ) |
| private

## ◆ read() [1/2]

void libetonyek::IWORKMemoryStream::read | ( | const RVNGInputStreamPtr_t & | input,
|  | unsigned | length
| ) |  |
| private

## ◆ read() [2/2]

const unsigned char * libetonyek::IWORKMemoryStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| override

Referenced by IWORKMemoryStream().

## ◆ seek()

int libetonyek::IWORKMemoryStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| override

## ◆ subStreamCount()

unsigned libetonyek::IWORKMemoryStream::subStreamCount | ( |  | ) |
| override

## ◆ subStreamName()

const char * libetonyek::IWORKMemoryStream::subStreamName | ( | unsigned | id | ) |
| override

## ◆ tell()

long libetonyek::IWORKMemoryStream::tell | ( |  | ) |
| override

## Member Data Documentation

## ◆ m_data

std::unique_ptr<unsigned char[]> libetonyek::IWORKMemoryStream::m_data
| private

Referenced by assign(), and read().

## ◆ m_length

long libetonyek::IWORKMemoryStream::m_length
| private

Referenced by isEnd(), read(), and seek().

## ◆ m_pos

long libetonyek::IWORKMemoryStream::m_pos
| private

Referenced by isEnd(), read(), seek(), and tell().

The documentation for this class was generated from the following files:

- IWORKMemoryStream.h
- IWORKMemoryStream.cpp